cURL
curl --request GET \
--url https://api.maesn.dev/accounting/trialBalance \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/trialBalance"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/trialBalance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"accountCode": "0005",
"accountName": "Cash",
"accountNumber": "120000",
"balance": {
"amount": 1000,
"debitCreditIndicator": "DEBIT"
},
"createdDate": "2025-06-12T00:00:00Z",
"monthlyValues": [
{
"month": 1,
"balance": {
"amount": 200,
"debitCreditIndicator": "DEBIT"
}
},
{
"month": 2,
"balance": {
"amount": 300,
"debitCreditIndicator": "DEBIT"
}
}
],
"openingBalance": {
"amount": 500,
"debitCreditIndicator": "DEBIT"
},
"totalCreditAmount": 0,
"totalDebitAmount": 500,
"updatedDate": "2025-06-12T00:00:00Z"
}
]
}Trial Balance
Get trial balance
GET
/
accounting
/
trialBalance
cURL
Field support per integration

DATEV Rechnungswesen
DATEV Rechnungswesen
The query parameter
fiscalYearStartDate is required and must be a valid date.If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.number
boolean
string
string
MonthlyValue[]
number
number

Sage Active
Sage Active
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section. Please use the id field as the companyId.The query parameter
fiscalYearStartDate is required and must be a valid date.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
number
number
Query Parameters
Available options:
5, 10, 20, 50, 100 Last modified on August 28, 2026
Was this page helpful?